## kdegames 4.8.5

=== kmines/CMakeLists.txt ===
project(kmines)

add_subdirectory( data ) 
add_subdirectory( themes ) 

include_directories( ${CMAKE_SOURCE_DIR}/libkdegames/highscore  )


########### next target ###############

set(kmines_SRCS
   mainwindow.cpp
   cellitem.cpp
   borderitem.cpp
   minefielditem.cpp
   scene.cpp
   main.cpp )

kde4_add_ui_files(kmines_SRCS customgame.ui generalopts.ui)

kde4_add_kcfg_files(kmines_SRCS settings.kcfgc )

kde4_add_app_icon(kmines_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/data/hi*-app-kmines.png")
kde4_add_executable(kmines ${kmines_SRCS})

target_link_libraries(kmines  kdegames)

install(TARGETS kmines  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES kminesui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kmines )
install( FILES kmines.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

=== libkdegames/CMakeLists.txt ===
enable_testing()

project(libkdegames)

KDE4_NO_ENABLE_FINAL(libkdegames)
configure_file(highscore/config-highscore.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/highscore/config-highscore.h )

add_subdirectory( carddecks )
add_subdirectory( digits )
add_subdirectory( highscore )
add_subdirectory( includes )
add_subdirectory( kgame )
add_subdirectory( pics )
add_subdirectory( tests )
add_subdirectory( kggznet )
add_subdirectory( kggzgames )
add_subdirectory( kggzmod )

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/highscore
   ${CMAKE_CURRENT_SOURCE_DIR}/kgame
   ${CMAKE_CURRENT_SOURCE_DIR}/kgame/dialogs
   ${CMAKE_CURRENT_BINARY_DIR}/highscore
)

########### next target ###############

set(kdegames_LIB_SRCS
    colorproxy_p.cpp
    digits/kgamesvgdigits.cpp
#   highscore/kconfigrawbackend.cpp
    highscore/kexthighscore_item.cpp
    highscore/kexthighscore_internal.cpp
    highscore/kexthighscore_tab.cpp
    highscore/kexthighscore_gui.cpp
    highscore/kexthighscore.cpp
    highscore/khighscore.cpp
    highscore/kscoredialog.cpp
    kgame/kgame.cpp
    kgame/kgamechat.cpp
    kgame/kgameerror.cpp
    kgame/kgameio.cpp
    kgame/kgamemessage.cpp
    kgame/kgamenetwork.cpp
    kgame/kgameprocess.cpp
    kgame/kgameproperty.cpp
    kgame/kgamepropertyhandler.cpp
    kgame/kgamesequence.cpp
    kgame/kmessageclient.cpp
    kgame/kmessageio.cpp
    kgame/kmessageserver.cpp
    kgame/kplayer.cpp
    kgame/dialogs/kgameconnectdialog.cpp
    kgame/dialogs/kgamedebugdialog.cpp
    kgame/dialogs/kgamedialog.cpp
    kgame/dialogs/kgamedialogconfig.cpp
    kgame/dialogs/kgameerrordialog.cpp
    carddeckinfo.cpp
    kcarddialog.cpp
    kchat.cpp
    kchatbase.cpp
    kchatbaseitemdelegate.cpp
    kchatbasemodel.cpp
    kchatdialog.cpp
    kgamecanvas.cpp
    kgameclock.cpp
    kgamelcd.cpp
    kgamemisc.cpp
    kgameprogress.cpp
    kgamepopupitem.cpp
    kgamerendereditem.cpp
    kgamerenderedobjectitem.cpp
    kgamerenderer.cpp
    kgamerendererclient.cpp
    kgamesvgdocument.cpp
    kgametheme.cpp
    kgamethemeselector.cpp
    kstandardgameaction.cpp
    kgamedifficulty.cpp
    cardcache.cpp
)
if(Q_WS_X11)
	set(kdegames_LIB_SRCS ${kdegames_LIB_SRCS} chooserastergraphicssystem.cpp)
endif(Q_WS_X11)

kde4_add_ui_files(kdegames_LIB_SRCS
    kgamethemeselector.ui
    kgamecardselector.ui
)

kde4_add_library(kdegames SHARED ${kdegames_LIB_SRCS})

target_link_libraries(kdegames ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KDNSSD_LIBS} ${KDE4_KNEWSTUFF3_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY} )
target_link_libraries(kdegames LINK_INTERFACE_LIBRARIES ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY} )

#NOTE: 5.1.0 = KDE SC 4.6, please increase minor version in next minor KDE SC version if API changes are made
set_target_properties(kdegames PROPERTIES VERSION 5.1.0
                                          SOVERSION 5 )

install(TARGETS kdegames ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
    libkdegames_export.h
    cardcache.h
    carddeckinfo.h
    kgamemisc.h
    kcarddialog.h
    kstandardgameaction.h
    kchatbase.h
    kchatbasemodel.h
    kchatbaseitemdelegate.h
    kchat.h
    kchatdialog.h
    kgameprogress.h
    kgamelcd.h
    kgamesvgdocument.h
    kgamepopupitem.h
    kgrid2d.h
    kgamecanvas.h
    kgameclock.h
    kgamerendereditem.h
    kgamerenderedobjectitem.h
    kgamerenderer.h
    kgamerendererclient.h
    kgametheme.h
    kgamethemeselector.h
    kgamedifficulty.h
    DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel
)

=== kgoldrunner/src/CMakeLists.txt ===

########### next target ###############

set(kgoldrunner_SRCS 
   kgrplayfield.cpp 
   kgrsprite.cpp 
   kgoldrunner.cpp 
   kgrcanvas.cpp 
   kgrtheme.cpp 
   kgrgame.cpp 
   kgrlevelplayer.cpp
   kgrlevelgrid.cpp
   kgrrunner.cpp
   kgrrulebook.cpp
   kgrgameio.cpp 
   kgrtimer.cpp
   kgreditor.cpp
   main.cpp 
   kgrselector.cpp
   kgrdialog.cpp )

if(KGOLDRUNNER_OPENAL)
    set(kgoldrunner_SRCS
        ${kgoldrunner_SRCS}
        kgrsounds.cpp 
        TagaroAudio/audioscene.cpp
        TagaroAudio/sound.cpp )
else(KGOLDRUNNER_OPENAL)
#    KGoldrunner sound is supported only with OpenAL, else silent (2011-05-09).
#    set(kgoldrunner_SRCS
#        ${kgoldrunner_SRCS}
#        kgrsoundbank.cpp )
endif(KGOLDRUNNER_OPENAL)

kde4_add_app_icon(kgoldrunner_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-kgoldrunner.png")
kde4_add_executable(kgoldrunner ${kgoldrunner_SRCS})

if(KGOLDRUNNER_OPENAL)
    target_link_libraries(kgoldrunner ${KDE4_KDEUI_LIBS} kdegames
                                      ${OPENAL_LIBRARY} ${SNDFILE_LIBRARIES} )
else(KGOLDRUNNER_OPENAL)
#    KGoldrunner sound is supported only with OpenAL, else silent (2011-05-09).
#    target_link_libraries(kgoldrunner ${KDE4_KDEUI_LIBS} kdegames
#                                      ${KDE4_PHONON_LIBS})
    target_link_libraries(kgoldrunner ${KDE4_KDEUI_LIBS} kdegames)
endif(KGOLDRUNNER_OPENAL)

install(TARGETS kgoldrunner  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS KGoldrunner.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kgoldrunnerui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kgoldrunner )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== kollision/pictures/CMakeLists.txt ===

install(FILES
theme.svgz theme.desktop
DESTINATION ${DATA_INSTALL_DIR}/kollision/pictures)

kde4_install_icons(${ICON_INSTALL_DIR})

=== kpat/sounds/CMakeLists.txt ===
set( kpat_sounds
   card-pickup.ogg
   card-down.ogg
)

install( FILES ${kpat_sounds} DESTINATION  ${DATA_INSTALL_DIR}/kpat/sounds )

=== debian/changelog ===
kdegames (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:46:11 +0200

kdegames (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:35:02 +0200

kdegames (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 May 2012 13:49:25 +0200

=== debian/control ===
Source: kdegames
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>, Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [amd64 i386 powerpc],
 libglu1-mesa-dev [amd64 i386 powerpc], ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
 shared-mime-info, libsndfile1-dev, python (>= 2.6.6-3~), libopenal-dev
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdegames
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegames.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdegames.git

Package: kdegames
Architecture: any
Section: kde
Depends: ${misc:Depends}, bovo (>= ${source:Version}), bomber (>= ${source:Version}), 
 kapman (>= ${source:Version}), katomic (>= ${source:Version}),
 kbattleship (>= ${source:Version}), kblackbox (>= ${source:Version}),
 kbounce (>= ${source:Version}), kdiamond (>= ${source:Version}),
 kgoldrunner (>= ${source:Version}), kiriki (>= ${source:Version}), 
 killbots (>= ${source:Version}), ktron (>= ${source:Version}),
 kjumpingcube (>= ${source:Version}), klines (>= ${source:Version}), 
 kmahjongg (>= ${source:Version}), kmines (>= ${source:Version}), 
 knetwalk (>= ${source:Version}), kolf (>= ${source:Version}), 
 kollision (>= ${source:Version}), konquest (>= ${source:Version}),
 kpat (>= ${source:Version}), kreversi (>= ${source:Version}),
 klickety (>= ${source:Version}), kshisen (>= ${source:Version}),
 kspaceduel (>= ${source:Version}), ksudoku (>= ${source:Version}) [amd64 i386 powerpc],
 ksquares (>= ${source:Version}), ktuberling (>= ${source:Version}),
 kfourinline (>= ${source:Version}), lskat (>= ${source:Version}),
 kubrick (>= ${source:Version}) [amd64 i386 powerpc], kblocks (>= ${source:Version}),
 kbreakout (>= ${source:Version}), ksirk (>= ${source:Version}),
 palapeli (>= ${source:Version}),
 kigo (>= ${source:Version})
Recommends: kajongg (>= ${source:Version})
Description: games from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of games provided with the official
 release of KDE.

Package: libkdegames5a
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkggzgames4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: GGZ support library for KDE games
 This package contains a shared library used by KDE games to support the GNU
 Gaming Zone online gaming environment. This library can be used by game clients
 to display information about the players and spectators and their associated
 statistics. It is the visual counterpart to the rather low-level kggzmod
 library and contains convenience widgets and dialogs.
 .
 This package is part of the KDE games module.

Package: libkggzmod4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: GGZ support library for KDE games
 This package contains a shared library used by KDE games to support the GNU
 Gaming Zone online gaming environment. This libraryi can be used by game clients
 to display information about the players and spectators and their associated
 statistics.
 .
 This package is part of the KDE games module.

Package: libkggznet4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: GGZ support library for KDE games
 This package contains a shared library used by KDE games to support
 the GNU Gaming Zone online gaming environment. This library is an
 interface to networking on the GGZ Gaming Zone. The library provides
 classes to handle low-level protocols for communication between game
 clients and servers. 
 .
 This package is part of the KDE games module.

Package: libkmahjongglib4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkdegames5
Breaks: libkdegames5
Description: library for kmahjongg
 This package contains a shared library used by KDE game kmahjongg.
 .
 This package is part of the KDE games module.

Package: libkdegames-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${sameVersionDep:kdelibs5-dev:libkdegames5a},
 libkdegames5a (= ${binary:Version}), libkggzgames4 (= ${binary:Version}),
 libkggzmod4 (= ${binary:Version}), libkggznet4 (= ${binary:Version}),
 libkmahjongglib4 (= ${binary:Version})
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.

Package: kdegames-card-data
Architecture: all
Suggests: kdegames-card-data-extra
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: kdegames-card-data-extra
Architecture: all
Depends: ${misc:Depends}, kdegames-card-data
Replaces: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
Breaks: kdegames-card-data (<< 4:4.5.3-0ubuntu2)
Description: extra card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: kdegames-mahjongg-data
Architecture: all
Depends: ${misc:Depends}
Description: tilesets and backgrounds for Mahjongg games
 This package contains a collection of tilesets and backgrounds for KMahjongg
 and KShisen.
 .
 This package is part of the KDE games module.

Package: bomber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: arcade spaceship game
 Bomber is a game where you fly a spaceship and attempt to bomb the buildings
 below you. Each pass the spaceship makes, it gets lower and lower. If you've
 not destroyed a building in your path, you will crash into it. 
 .
 This package is part of the KDE games module.

Package: bovo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gomoku (five in line) board game
 Bovo is a game where two players take turns placing markers on the board,
 the winner being the first to complete a line of five markers.
 .
 This package is part of the KDE games module.

Package: kapman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the 
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but 
 you can eat the ghosts for a few seconds when eating an energizer. You win 
 points when eating pills, energizers, and bonus, and you win one life for 
 each 10,000 points.  When you have eaten all the pills and energizers of a 
 level, you go to the next level, and the player and ghost speeds increase. 
 .
 This package is part of the KDE games module.

Package: katomic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: atomix puzzle game
 KAtomic is a puzzle game in which the player slides atoms around the board to
 assemble a molecule.
 .
 This package is part of the KDE games module.

Package: kbattleship
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: battleship board game
 KBattleship is an implementation of the Battleship game, where two players
 take turns firing at the opponent's ships by guessing their coordinates.
 .
 This package is part of the KDE games module.

Package: kblackbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Black Box puzzle game
 KBlackBox is a game of hide and seek played on an grid of boxes, where the
 player shoots rays into the grid to deduce the positions of hidden objects.
 .
 This package is part of the KDE games module.

Package: kbounce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Jezzball arcade game 
 KBounce is a game where the player builds walls to confine a number of
 bouncing balls.
 .
 This package is part of the KDE games module.

Package: kdiamond
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: three-in-a-row game
 KDiamond is a three-in-a-row game like Bejeweled. It features unlimited fun 
 with randomly generated games and five difficulty levels with varying number 
 of diamond colors and board sizes.
 .
 This package is part of the KDE games module.

Package: kgoldrunner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lode Runner arcade game
 KGoldrunner is a fast-paced platform game where the player must navigate a
 maze while collecting gold nuggets and avoiding enemies.  A variety of level
 packs are included, as well as an editor to create new levels.
 .
 This package is part of the KDE games module.

Package: killbots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: port of the classic BSD console game robots
 killbots is a simple game of evading killer robots. The robots are numerous 
 and their sole objective is to destroy you.  Fortunately for you, their 
 creator has focused on quantity rather than quality and as a result 
 the robots are severely lacking in intelligence. Your superior wit and 
 a fancy teleportation device are your only weapons against the never-ending 
 stream of mindless automatons.
 .
 This package is part of the KDE games module.

Package: kiriki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yahtzee dice game
 Kiriki is a dice game for up to six players, where each player rolls five dice
 to make combinations with the highest score.
 .
 This package is part of the KDE games module.

Package: kjumpingcube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple tactical game
 KJumpingcube is a simple tactical game for one or two players, played on a
 grid of numbered squares.  Each turn, players compete for control of the board
 by capturing or adding to one square.
 .
 This package is part of the KDE games module.

Package: klines
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: color lines game
 KLines is a single-player game where the player removes colored balls from the
 board by arranging them into lines of five or more.  However, every time the
 player moves a ball, three more balls are added to the board.
 .
 This package is part of the KDE games module.

Package: kmahjongg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-mahjongg-data (>= ${source:Version})
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an

=== debian/rules ===
#!/usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games -DINSTALL_KAJONGG=TRUE

.PHONY: override_dh_auto_test

# Install upstream changelogs for each package if they exist
upstream_changelogs = $(strip $(wildcard */ChangeLog) $(wildcard */CHANGELOG) $(wildcard */CHANGES))
ifneq (,$(upstream_changelogs))
$(upstream_changelogs):
	$(and $(filter $(firstword $(subst /, ,$@)),$(all_packages)),\
        if [ -s $@ ]; then dh_installchangelogs $(DHMK_OPTIONS) -p$(firstword $(subst /, ,$@) $@) $@; fi)
.PHONY: $(upstream_changelogs)
endif

override_dh_installchangelogs: all_packages := $(shell dh_listpackages)
override_dh_installchangelogs: $(upstream_changelogs)
	$(overridden_command) --remaining-packages

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kdegames-dbg

override_dh_python2:
	$(overridden_command) -p kajongg /usr/share/kde4/apps/kajongg
	$(overridden_command) -p kajongg /usr/share/kde4/apps/kajonggserver

generate-icons:
	while read src dest; do \
		convert debian/tmp/$$src debian/icons/$$dest; \
	done <debian/icon-list

## kdegames 4.9.2

=== debian/changelog ===
kdegames (4:4.9.2-0ubuntu2) quantal-proposed; urgency=low

  * Drop debian/docs since upstream has split into different
    git repos and there is no top level README

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Oct 2012 01:20:36 +0100

kdegames (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:21:08 +0100

kdegames (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change sonames from 4.9.0 to 4.9.*

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:20:19 +0530

kdegames (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:48 +0100

kdegames (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:36:05 +0100

kdegames (4:4.8.90-0ubuntu2) quantal; urgency=low

  * Drop svg-oxygen-air carddeck from kdegames-card-data-extra as it's in
    kdegames-card-data. (LP: #1011275)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 17 Jun 2012 11:07:27 +0200

kdegames (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Recommend qvoronoi (qhull-bin) from palapeli

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:14:14 +0200

kdegames (4:4.8.80-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream beta release
    - drop packages for libraries that were removed upstream:
      + libkggzgames4
      + libkggzmod4
      + libkggznet4
    - switch libkdegames5a with libkdegames6 for ABI change
    - add libkdegamesprivate1 package
    - update install files
  [ Philip Muškovac ]
    - add kdegames-data package for files shared by all games
    - update symbol files

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Tue, 29 May 2012 16:06:32 +0200

kdegames (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 May 2012 13:49:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Daniel Schepler <schepler@debian.org>, Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>,
  Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [amd64 i386 powerpc],
+ kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [amd64 i386 powerpc],
  libglu1-mesa-dev [amd64 i386 powerpc], ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
  shared-mime-info, libsndfile1-dev, python (>= 2.6.6-3~), libopenal-dev
 Standards-Version: 3.9.2
@@ -53,58 +53,37 @@
  This metapackage includes a collection of games provided with the official
  release of KDE.
 
-Package: libkdegames5a
+Package: kdegames-data
+Architecture: all
+Depends: ${misc:Depends}
+Description: games from the official KDE release -- shared data files
+ KDE is produced by an international technology team that creates free and open
+ source software for desktop and portable computing. Among KDE's products are a
+ modern desktop system for Linux and UNIX platforms, comprehensive office
+ productivity and groupware suites and hundreds of software titles in many
+ categories including Internet and web applications, multimedia, entertainment,
+ educational, graphics and software development.
+ .
+ This package contains the architecture independent files that are used by
+ all games.
+
+Package: libkdegames6
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libkdegames5
-Breaks: libkdegames5
+Replaces: libkdegames5a
+Breaks: libkdegames5a
 Description: shared library for KDE games
  This package contains a shared library used by KDE games.
  .
  This package is part of the KDE games module.
 
-Package: libkggzgames4
+Package: libkdegamesprivate1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libkdegames5
-Breaks: libkdegames5
-Description: GGZ support library for KDE games
- This package contains a shared library used by KDE games to support the GNU
- Gaming Zone online gaming environment. This library can be used by game clients
- to display information about the players and spectators and their associated
- statistics. It is the visual counterpart to the rather low-level kggzmod
- library and contains convenience widgets and dialogs.
- .
- This package is part of the KDE games module.
-
-Package: libkggzmod4
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libkdegames5
-Breaks: libkdegames5
-Description: GGZ support library for KDE games
- This package contains a shared library used by KDE games to support the GNU
- Gaming Zone online gaming environment. This libraryi can be used by game clients
- to display information about the players and spectators and their associated
- statistics.
- .
- This package is part of the KDE games module.
-
-Package: libkggznet4
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libkdegames5
-Breaks: libkdegames5
-Description: GGZ support library for KDE games
- This package contains a shared library used by KDE games to support
- the GNU Gaming Zone online gaming environment. This library is an
- interface to networking on the GGZ Gaming Zone. The library provides
- classes to handle low-level protocols for communication between game
- clients and servers. 
+Description: private shared library for KDE games
+ This package contains a private shared library used by KDE games.
  .
  This package is part of the KDE games module.
 
@@ -122,9 +101,8 @@
 Package: libkdegames-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, ${sameVersionDep:kdelibs5-dev:libkdegames5a},
- libkdegames5a (= ${binary:Version}), libkggzgames4 (= ${binary:Version}),
- libkggzmod4 (= ${binary:Version}), libkggznet4 (= ${binary:Version}),
+Depends: ${misc:Depends}, ${sameVersionDep:kdelibs5-dev:libkdegames6},
+ libkdegames6 (= ${binary:Version}), libkdegamesprivate1 (= ${binary:Version}),
  libkmahjongglib4 (= ${binary:Version})
 Description: development files for the KDE games library
  This package contains development files for building software that uses
@@ -160,7 +138,7 @@
 
 Package: bomber
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: arcade spaceship game
  Bomber is a game where you fly a spaceship and attempt to bomb the buildings
  below you. Each pass the spaceship makes, it gets lower and lower. If you've
@@ -170,7 +148,7 @@
 
 Package: bovo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: gomoku (five in line) board game
  Bovo is a game where two players take turns placing markers on the board,
  the winner being the first to complete a line of five markers.
@@ -179,7 +157,7 @@
 
 Package: kapman
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: Pac-Man clone
  Kapman is a clone of the well known game Pac-Man. You must go through the 
  levels escaping ghosts in a maze. You lose a life when a ghost eats you, but 
@@ -192,7 +170,7 @@
 
 Package: katomic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, kdegames-data
 Description: atomix puzzle game
  KAtomic is a puzzle game in which the player slides atoms around the board to
  assemble a molecule.
@@ -201,7 +179,7 @@
 
 Package: kbattleship
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: battleship board game
  KBattleship is an implementation of the Battleship game, where two players
  take turns firing at the opponent's ships by guessing their coordinates.
@@ -210,7 +188,7 @@
 
 Package: kblackbox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: Black Box puzzle game
  KBlackBox is a game of hide and seek played on an grid of boxes, where the
  player shoots rays into the grid to deduce the positions of hidden objects.
@@ -219,7 +197,7 @@
 
 Package: kbounce
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: Jezzball arcade game 
  KBounce is a game where the player builds walls to confine a number of
  bouncing balls.
@@ -228,7 +206,7 @@
 
 Package: kdiamond
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: three-in-a-row game
  KDiamond is a three-in-a-row game like Bejeweled. It features unlimited fun 
  with randomly generated games and five difficulty levels with varying number 
@@ -238,7 +216,7 @@
 
 Package: kgoldrunner
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: Lode Runner arcade game
  KGoldrunner is a fast-paced platform game where the player must navigate a
  maze while collecting gold nuggets and avoiding enemies.  A variety of level
@@ -248,7 +226,7 @@
 
 Package: killbots
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: port of the classic BSD console game robots
  killbots is a simple game of evading killer robots. The robots are numerous 
  and their sole objective is to destroy you.  Fortunately for you, their 
@@ -261,7 +239,7 @@
 
 Package: kiriki
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: Yahtzee dice game
  Kiriki is a dice game for up to six players, where each player rolls five dice
  to make combinations with the highest score.
@@ -270,7 +248,7 @@
 
 Package: kjumpingcube
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: simple tactical game
  KJumpingcube is a simple tactical game for one or two players, played on a
  grid of numbered squares.  Each turn, players compete for control of the board
@@ -280,7 +258,7 @@
 
 Package: klines
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: color lines game
  KLines is a single-player game where the player removes colored balls from the
  board by arranging them into lines of five or more.  However, every time the
@@ -290,7 +268,27 @@
 
 Package: kmahjongg
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-mahjongg-data (>= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-mahjongg-data (>= ${source:Version}),
+ kdegames-data
 Description: mahjongg solitaire game
  KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
  to clear the board.  A variety of tile layouts are included, as well as an
+ editor to create new layouts.
+ .
+ This package is part of the KDE games module.
+
+Package: kmines
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
+Description: minesweeper game
+ KMines is a game where the player finds hidden mines without setting them off.
+ .
+ This package is part of the KDE games module.
+
+Package: knetwalk
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
+Description: wire puzzle game
+ KNetwalk is a puzzle game where the player arranges sections of wire to
+ connect all the computers on the board.
+ .

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 dh = --with=python2
 
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
+libpkgs_gen_strict_local_shlibs = kapman
 
 override_dh_auto_configure:
 	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games -DINSTALL_KAJONGG=TRUE

## kdegames 4.9.4

=== debian/changelog ===
kdegames (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:55:14 +0100

kdegames (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:34:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [amd64 i386 powerpc],
+ kdelibs5-dev (>= 4:4.9.4), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [amd64 i386 powerpc],
  libglu1-mesa-dev [amd64 i386 powerpc], ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
  shared-mime-info, libsndfile1-dev, python (>= 2.6.6-3~), libopenal-dev
 Standards-Version: 3.9.2

## kdegames 4.9.5

=== debian/changelog ===
kdegames (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:31:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [amd64 i386 powerpc],
+ kdelibs5-dev (>= 4:4.9.5), libphonon-dev (>= 4:4.3.0), libqt4-opengl-dev [amd64 i386 powerpc],
  libglu1-mesa-dev [amd64 i386 powerpc], ggzcore-bin, libqca2-dev, zlib1g-dev, libeigen2-dev,
  shared-mime-info, libsndfile1-dev, python (>= 2.6.6-3~), libopenal-dev
 Standards-Version: 3.9.2

## kdegames 980310-3

=== kasteroids/sprites/rock2/Makefile ===
POVRAY=x-povray  # Must be Povray 3.0

all: rock2.pov
	gforge -s 1 -m 128 -dim 2.6 -type mat -na rock.mat
	orb rock.mat rock.inc 0.7 5
	rm rock.mat
	$(POVRAY) rock2.ini

clean:
	rm -f *~ *.png *.pgm

realclean: clean
	rm -f *.ppm *.pbm

=== debian/control ===
Source: kdegames
Section: contrib/games
Priority: extra
Maintainer: Stephan Kulow <coolo@kde.org>
Standards-Version: 2.3.0.0

Package: kdegames
Architecture: any
Depends: ${shlibs:Depends}, kdebase (>= ${Source-Version})
Description: KDE games collection
 This is a collection of several games written for kde.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# games on the sample debian/rules file for GNU hello by Ian Jackson.

package=kdegames

build:
	dh_testdir
	( CXXFLAGS="-O2 -g -Wall" \
	  ./configure --with-install-root=`pwd`/debian/tmp \
	  --enable-debug --disable-rpath --bindir=$${kde_bindir})
 
	make 

	touch build

clean:
	dh_testdir
	dh_clean -k
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars \
		debian/menu debian/*shlibs*

binary-indep:	build
	dh_testroot
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testroot
	dh_testdir
	-rm -rf debian/tmp
	make bindir=`pwd`/debian/tmp/usr/games install
	chmod +x debian/kderules
	debian/kderules
	dh_movefiles
	dh_undocumented `cat debian/man-pages`
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb            

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## kdegames Beta2

=== kasteroids/sprites/bits/Makefile ===
POVRAY=x-povray  # Must be Povray 3.0

all: bits.pov
	$(POVRAY) bits.ini

clean:
	rm -f *~ *.pgm *.png

realclean: clean
	rm -f *.ppm *.pbm

=== kasteroids/sprites/rock1/Makefile ===
POVRAY=x-povray  # Must be Povray 3.0

all: rock1.pov
	gforge -s 0 -m 256 -crat 1.9 1.5 -type mat -na rock.mat
	orb rock.mat rock.inc 0.7 6
	rm rock.mat
	$(POVRAY) rock1.ini

clean:
	rm -f *~ *.png *.pgm

realclean: clean
	rm -f *.ppm *.pbm

=== kasteroids/sprites/rock3/Makefile ===
POVRAY=x-povray  # Must be Povray 3.0

all: rock3.pov
	gforge -s 2 -m 128 -dim 2.6 -type mat -na rock.mat
	orb rock.mat rock.inc 0.7 5
	rm rock.mat
	$(POVRAY) rock3.ini

clean:
	rm -f *~ *.png *.pgm

realclean: clean
	rm -f *.ppm *.pbm

=== kasteroids/sprites/ship/Makefile ===
POVRAY=x-povray  # Must be Povray 3.0

all: ship.pov
	$(POVRAY) ship.ini

clean:
	rm -f *~ *.png *.pgm

realclean: clean
	rm -f *.ppm *.pbm
